set timeout="15"
set default="0"

insmod all_video
insmod video_bochs
insmod video_cirrus
insmod font
insmod gfxterm
insmod gfxmenu
insmod gettext
insmod jpeg
insmod png

#加载unicode字体显示中文
font=(tftp)/boot/grub/fonts/unicode.pf2
if loadfont ${font}; then
 set gfxmode=1366x768
 set locale_dir=/boot/grub/locale
 set lang=zh_CN
fi

#设置分辨率
set gfxmode=auto
terminal_output gfxterm

#设置主题或背景图片
#if search --no-floppy -f /boot/grub/themes/StylishDark/theme.txt; then
	set theme=(tftp)/boot/grub/themes/StylishDark/theme.txt
#else
#	background_image /boot/grub/bg.bmp
#	set color_normal=red/black
#	set color_highlight=magenta/black
#fi

menuentry "启动嵊州人民版Win10Pe32位(http)" --class windows --class os {
          set root=(http)
	echo "正在http启动 嵊州人民版pe..."
    linux16 (http)/wimboot gui
    initrd16 newc:bcd:(http)/boot/bcd \
	newc:bootmgr:(http)/bootmgr \
           newc:boot.sdi:(http)/boot/boot.sdi \
           newc:boot.wim:(http)/sources/win10.wim
}



menuentry "启动DG分区工具(http)" --class windows --class os {
	echo "正在启动diskgeniues..."
	 set root='(hd0,msdos1)'
        echo 'Loading Memdisk...'
        #insmod memdisk
        linux16 (http)/sources/memdisk c=80 h=2 s=21 floppy
        echo 'Loading diskgeniues...'
        initrd16 (http)/sources/dgdos.img
}

menuentry "启动嵊州人民版Win10Pe(wimboot初始化dhcp版)" --class windows --class os {
	echo "正在启动 嵊州人民版pe..."
	insmod part_gpt
	insmod ntfs
	insmod fat
	insmod search_fs_file
	insmod chain
	search --no-floppy --set=root -f /EFI/cong.efi
	chainloader (http)/EFI/cong.efi
}


menuentry "启动雨林木枫ylmfos" --class windows --class os {
   	insmod part_gpt
	insmod ntfs
	insmod fat
    insmod ntfs
      set root=(http)
        loopback loop (http)/efi/Ylmf.iso
        linux (loop)/casper/vmlinuz boot=casper iso-scan/filename=(http)/efi/Ylmf.iso locale=zh_CN.UTF-8 noprompt noeject splash
        initrd (loop)/casper/initrd.lz

  }

menuentry "重启计算机" --class reboot {
	reboot
}
menuentry "关闭计算机" --class shutdown {
	halt
}
